Get information on the last deployment build
curl --request GET \
--url https://studio.edgeimpulse.com/v1/api/{projectId}/deployment/last \
--header 'x-api-key: <api-key>'{
"success": true,
"hasBuild": true,
"error": "<string>",
"lastBuild": {
"version": 123,
"deploymentType": "<string>",
"created": "2023-11-07T05:31:56Z"
},
"lastDeploymentTarget": {
"name": "<string>",
"description": "<string>",
"image": "<string>",
"imageClasses": "<string>",
"format": "<string>",
"hasEonCompiler": true,
"hasTensorRT": true,
"hasTensaiFlow": true,
"hasDRPAI": true,
"hasTIDL": true,
"hasAkida": true,
"hasMemryx": true,
"hasStAton": true,
"hasCevaNpn": true,
"hasNordicAxon": true,
"hideOptimizations": true,
"supportedEngines": [],
"docsUrl": "<string>",
"modelVariants": [
{
"supported": true,
"hint": "<string>"
}
],
"parameters": [
{
"name": "Scale axes",
"defaultValue": "<string>",
"type": "text",
"param": "scale-axes",
"readonly": true,
"shouldShow": true,
"required": true,
"showClickToSet": true,
"value": "<string>",
"help": "Divide axes by this number",
"selectOptions": [
{
"value": "<string>",
"selected": true,
"optionLabel": "<string>",
"priority": 123,
"romEstimate": 123,
"needsOps": [
"<string>"
],
"needsFeatures": [
"<string>"
]
}
],
"showIf": {
"parameter": "<string>",
"value": "<string>"
},
"invalidText": "<string>",
"multiline": true,
"hint": "<string>",
"placeholder": "<string>",
"valid": [
{}
],
"items": {},
"properties": {},
"minVal": 123,
"maxVal": 123
}
],
"recommendedForProject": true,
"disabledForProject": true,
"latencyDevice": "<string>",
"badge": {
"name": "<string>",
"description": "<string>"
},
"customDeployId": 123,
"customDeployOrganizationId": 123,
"integrateUrl": "<string>",
"ownerOrganizationName": "<string>",
"url": "<string>",
"firmwareRepoUrl": "<string>",
"redirect": {
"url": "<string>",
"text": "<string>"
},
"reasonTargetDisabled": "<string>"
}
}Get information on the last deployment build
Get information on the result of the last successful deployment job, including info on the build e.g. whether it is still valid.
GET
/
api
/
{projectId}
/
deployment
/
last
Get information on the last deployment build
curl --request GET \
--url https://studio.edgeimpulse.com/v1/api/{projectId}/deployment/last \
--header 'x-api-key: <api-key>'{
"success": true,
"hasBuild": true,
"error": "<string>",
"lastBuild": {
"version": 123,
"deploymentType": "<string>",
"created": "2023-11-07T05:31:56Z"
},
"lastDeploymentTarget": {
"name": "<string>",
"description": "<string>",
"image": "<string>",
"imageClasses": "<string>",
"format": "<string>",
"hasEonCompiler": true,
"hasTensorRT": true,
"hasTensaiFlow": true,
"hasDRPAI": true,
"hasTIDL": true,
"hasAkida": true,
"hasMemryx": true,
"hasStAton": true,
"hasCevaNpn": true,
"hasNordicAxon": true,
"hideOptimizations": true,
"supportedEngines": [],
"docsUrl": "<string>",
"modelVariants": [
{
"supported": true,
"hint": "<string>"
}
],
"parameters": [
{
"name": "Scale axes",
"defaultValue": "<string>",
"type": "text",
"param": "scale-axes",
"readonly": true,
"shouldShow": true,
"required": true,
"showClickToSet": true,
"value": "<string>",
"help": "Divide axes by this number",
"selectOptions": [
{
"value": "<string>",
"selected": true,
"optionLabel": "<string>",
"priority": 123,
"romEstimate": 123,
"needsOps": [
"<string>"
],
"needsFeatures": [
"<string>"
]
}
],
"showIf": {
"parameter": "<string>",
"value": "<string>"
},
"invalidText": "<string>",
"multiline": true,
"hint": "<string>",
"placeholder": "<string>",
"valid": [
{}
],
"items": {},
"properties": {},
"minVal": 123,
"maxVal": 123
}
],
"recommendedForProject": true,
"disabledForProject": true,
"latencyDevice": "<string>",
"badge": {
"name": "<string>",
"description": "<string>"
},
"customDeployId": 123,
"customDeployOrganizationId": 123,
"integrateUrl": "<string>",
"ownerOrganizationName": "<string>",
"url": "<string>",
"firmwareRepoUrl": "<string>",
"redirect": {
"url": "<string>",
"text": "<string>"
},
"reasonTargetDisabled": "<string>"
}
}Authorizations
ApiKeyAuthenticationJWTAuthenticationJWTHttpHeaderAuthenticationOAuth2
Path Parameters
Project ID
Query Parameters
Impulse ID. If this is unset then the default impulse is used.
Response
200 - application/json
OK
Whether the operation succeeded
Does the deployment build still exist? (Builds are deleted if they are no longer valid for the project)
Optional error description (set if 'success' was false)
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I